Loading...
Searching...
No Matches
formats.hpp File Reference

## Description

Declares entities in bsoncxx::v_noabi::vector::formats.

Go to the source code of this file.

## Classes

struct | bsoncxx::v_noabi::vector::formats::f_float32
| Vector format for 32-bit floating point elements, packed least significant byte first. More...
struct | bsoncxx::v_noabi::vector::formats::f_int8
| Vector format for signed 8-bit integer elements. More...
struct | bsoncxx::v_noabi::vector::formats::f_packed_bit
| Vector format for single bit elements, packed most significant bit first. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::vector
| Declarations related to the BSON Binary Vector subtype.
namespace | bsoncxx::v_noabi::vector::formats
| Declares supported BSON Binary Vector formats.